# OQL Class Reference
[Object Query Language based on Criteria]

Inheritance diagram for OQL:
[legend]

List of all members.

## Static Public Member Functions

static | select ($query)
static | properties ($clause)
static | where ($clause)
static | groupBy ($clause)
static | orderBy ($clause)
static | having ($clause)

## Detailed Description

Definition at line 15 of file OQL.class.php.

## Member Function Documentation

static OQL::groupBy | ( | $ | clause | ) | `[static]`

Returns:
  OqlProjectionClause

Definition at line 44 of file OQL.class.php.

References OqlGroupByParser::create().

Here is the call graph for this function:

static OQL::having | ( | $ | clause | ) | `[static]`

Returns:
  OqlHavingClause

Definition at line 60 of file OQL.class.php.

References OqlHavingParser::create().

Here is the call graph for this function:

static OQL::orderBy | ( | $ | clause | ) | `[static]`

Returns:
  OqlOrderByClause

Definition at line 52 of file OQL.class.php.

References OqlOrderByParser::create().

Here is the call graph for this function:

static OQL::properties | ( | $ | clause | ) | `[static]`

Returns:
  OqlSelectPropertiesClause

Definition at line 28 of file OQL.class.php.

References OqlSelectPropertiesParser::create().

Here is the call graph for this function:

static OQL::select | ( | $ | query | ) | `[static]`

Returns:
  OqlSelectQuery

Definition at line 20 of file OQL.class.php.

References OqlSelectParser::create().

Here is the call graph for this function:

static OQL::where | ( | $ | clause | ) | `[static]`

Returns:
  OqlWhereClause

Definition at line 36 of file OQL.class.php.

References OqlWhereParser::create().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- main/OQL/OQL.class.php